Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class MenuDefinition

    java.lang.Object
      com.bea.netuix.application.definition.MenuDefinition

All Implemented Interfaces
  DateableDefinition, Serializable

    public class MenuDefinition

extends Object
implements DateableDefinition, Serializable

This class represents a persistent menu.

See Also
  Serialized Form

Constructor Summary
`MenuDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String webAppName, String menuFile, boolean deleted)` Constructs a new `MenuDefinition` object.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this menu.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this menu based on the locale of the request used for retrieving the menu.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for this MarkupDefinition associated with this menu.
`MenuDefinitionId` | `getMenuDefinitionId()` Returns the `MenuDefinitionId` for this menu.
`String` | `getMenuFile()` Returns the path to the menu file.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation (gif).
`String` | `getWebAppName()` Returns the web application name this menu is scoped to.
`boolean` | `isDeleted()` Returns whether this menu is deleted.
`void` | `setDeleted(boolean deleted)` Sets whether this menu is deleted
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this menu.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinition` for this menu.
`void` | `setMenuFile(String menuFile)` Sets the menu file path
`void` | `setThumbnailUri(String thumbnailUri)` Set the URI to the thumbnail represenation (gif).
`void` | `setWebAppName(String webAppName)` Scopes this menu to given web applcation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuDefinition

    public MenuDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String webAppName,
                          String menuFile,
                          boolean deleted)

  Constructs a new `MenuDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this menu
    `webAppName` - name of the J2EE web application this layout is scoped to
    `menuFile` - path to the menu file. This file path is relative to the web application context
    `deleted` - is this menu deleted

Method Detail

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for this MarkupDefinition associated with this menu.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinition` for this menu.

  Parameters
    `markupDefinitionId` -

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this menu based on the locale of the request used for retrieving the menu.

  Returns
    `LocalizationResource` associated with this menu

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this menu. Returns null if no LocalizationResource is associated with this menu. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this menu

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this menu.

  Parameters
    `localizationResource` -

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Returns the `MenuDefinitionId` for this menu. Returns null if this menu has not been retrieved using the persistence API.

  Returns
    `MenuDefinitionId`

### getWebAppName

    public String getWebAppName()

  Returns the web application name this menu is scoped to.

  Returns
    web application name

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this menu to given web applcation.

  Parameters
    `webAppName` -

### getMenuFile

    public String getMenuFile()

  Returns the path to the menu file. This path is relative to the web application context.

  Returns
    menu file path

### setMenuFile

    public void setMenuFile(String menuFile)

  Sets the menu file path

  Parameters
    `menuFile` -

### isDeleted

    public boolean isDeleted()

  Returns whether this menu is deleted.

  Returns
    true if this menu is deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this menu is deleted

  Parameters
    `deleted` -

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### getThumbnailUri

    public String getThumbnailUri()

  Get the URI to the thumbnail representation (gif).

  Returns
    the URI to the thumbnail.

### setThumbnailUri

    public void setThumbnailUri(String thumbnailUri)

  Set the URI to the thumbnail represenation (gif).

  Parameters
    `thumbnailUri` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.